/***************************************************************************
 *   Copyright (C) 2005-2007 by David Charypar   *
 *   david.charypar@switzerland.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ALLSIM_TOOLSSTOPWATCH_H
#define ALLSIM_TOOLSSTOPWATCH_H

#include <ctime>

namespace allsim {
namespace tools {

using namespace std;

class StopWatch
{
public:
	StopWatch();
	~StopWatch();

	void start();
	void end();
	double getMeasuredTime() const ;
	char const * getStartTime();
	char const * getEndTime();

private:
	time_t startTime;
	time_t endTime;
};

}

}

#endif
