/***************************************************************************
 *   Copyright (C) 2005-2007 by David Charypar   *
 *   david.charypar@switzerland.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "toolsglobal.h"
#include "network.h"
#include <sstream>

namespace allsim
{

// definition of global variables:
tools::Network theNetwork;


double convertTimeStringToTime(string timeString)
{
	double hours, minutes, seconds;
	char buffer[BUFFSIZE];

	istringstream timeStream(timeString);


	timeStream.getline(buffer, BUFFSIZE, ':');
	hours = atof(buffer);
	timeStream.getline(buffer, BUFFSIZE, ':');
	minutes = atof(buffer);
	timeStream.getline(buffer, BUFFSIZE, ':');
	seconds = atof(buffer);
	
	return 3600.0 * hours + 60.0 * minutes + seconds;
}

}
